aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d/pager.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/profile.d/pager.sh')
-rw-r--r--sh/profile.d/pager.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/sh/profile.d/pager.sh b/sh/profile.d/pager.sh
new file mode 100644
index 00000000..2cbcb26d
--- /dev/null
+++ b/sh/profile.d/pager.sh
@@ -0,0 +1,7 @@
+# If we don't have less(1), we'll just use whatever pager the application or
+# system deems fit
+command less >/dev/null 2>&1 || return
+
+# Use less(1) as my PAGER
+PAGER=less
+export PAGER